#!/bin/bash

echo [info] Backing up data...
echo [info] Locating NFS server...
NFS=`kubectl describe pod nfs-0 | grep Node: | tr -s ' ' | cut -d' ' -f2 | cut -d'/' -f 1`
if [ -z "$NFS" ]; then
  echo [error] Unable to find NFS server!
  exit 1
fi

echo [info] Connecting to NFS server at $NFS...
mkdir -p .mnt
mount -t nfs -o port=32049 $NFS:/ .mnt

echo [info] Generating tar.gz file...
tar -czf backup.tar.gz -C .mnt/ .

umount -l .mnt

echo [info] Backup complete.
