#!/bin/bash

echo [info] Mirroring data...
echo [info] Locating NFS server...
NFS_IP=`kubectl describe service nfs | grep ^IP: | tr -s ' ' | cut -d' ' -f2`
if [ -z "$NFS_IP" ]; then
  echo [error] Unable to find NFS server!
  exists
fi

echo [info] Connecting to NFS server at $NFS_IP...
mkdir -p .nfs
mkdir -p mirror
mount -t nfs $NFS_IP:/ .nfs

while true; do
  echo [info] Syncing data...
  rsync -az .nfs/ mirror
  echo [info] Mirror is up to date at $(date).
  if ! [ -x "$(command -v inotifywait)" ]; then
    sleep 10
  else
    inotifywait -r -e modify,attrib,close_write,move,create,delete .nfs
  fi
done
