#!/bin/bash

docker=`docker info 2>/dev/null | grep 'Server Version:' | wc -l`
if [ "$docker" = "0" ]; then
  echo "Please install docker!"
  exit
fi

rm -rf npi-images.tar*
rm -rf .work
mkdir .work

echo "#!/bin/bash" > .work/install.sh
echo "images=\`ls *.tar.gz\`" >> .work/install.sh
echo "for image in \$images; do" >> .work/install.sh
echo "  echo Loading \$image..." >> .work/install.sh
echo "  cat \$image | gunzip | docker load" >> .work/install.sh
echo "done" >> .work/install.sh

chmod 755 .work/install.sh

images=`find $(dirname "$0")/../../services  -name *.yaml -exec grep image: {} \; |sed 's/\${repo}/docker.io\/persistentsystems/g'| tr -s ' ' | cut -d' ' -f3 | sort`
for image in $images; do
  echo "Downloading ${image}..."
  docker pull $image > /dev/null 2>&1
  image_without_digest=`echo $image | cut -d'@' -f1`
  docker tag $image $image_without_digest
  file="${image_without_digest////-}"
  docker save $image_without_digest | gzip > .work/$file.tar.gz
done

tar -cf tncp-1.4.1-images.tar -C .work .

rm -rf .work
echo "Download complete."
